package de.intevation.flys.importer.parsers;


import java.math.BigDecimal;

import java.text.ParseException;




import org.apache.log4j.Logger;

import de.intevation.flys.importer.ImportBedHeight;
import de.intevation.flys.importer.ImportBedHeightSingle;
import de.intevation.flys.importer.ImportBedHeightSingleValue;


public class BedHeightSingleParser extends BedHeightParser {

    private static final Logger log =
        Logger.getLogger(BedHeightSingleParser.class);



    @Override
    protected ImportBedHeight newImportBedHeight(String description) {
        return new ImportBedHeightSingle(description);
    }



    @Override
    protected void handleDataLine(ImportBedHeight obj, String line) {
        String[] values = line.split(SEPERATOR_CHAR);

        if (values == null || values.length < 6) {
            //log.warn("Error while parsing data line: '" + line + "'");
            return;
        }

        try {
            ImportBedHeightSingleValue value = new ImportBedHeightSingleValue(
                (ImportBedHeightSingle) obj,
                new BigDecimal(nf.parse(values[0]).doubleValue()),
                new BigDecimal(nf.parse(values[1]).doubleValue()),
                new BigDecimal(nf.parse(values[2]).doubleValue()),
                new BigDecimal(nf.parse(values[3]).doubleValue()),
                new BigDecimal(nf.parse(values[4]).doubleValue()),
                new BigDecimal(nf.parse(values[5]).doubleValue())
            );

            obj.addValue(value);
        }
        catch (ParseException e) {
            log.warn("Error while parsing data row.", e);
        }
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
